[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Mirror/server RFE: Do not remove old kernel from updates.



Hello all,

During the last couple of weeks 2.6.19 and 2.6.20 were pushed to
fc6-updates. 
With the push, all older kernel updates (2.6.18-xxx) were removed from
the main, and mirror servers.
Due to lack of sleep I removed the old 2.6.18 kernel I had on my
development machine (rpm -e $(rpm -qa | grep 2.6.18) should not be done
@5am... ;)) - just to find out that vmware-server dies a horrible death
(taking the host with it) when combined with kernels >= 2.6.19.
Now, I'm left with a problem, I cleared the yum cache and there are no
2.6.18 RPMs available  from any official source (beyond the initial
-core RPMs), and using 2.6.19/20 will most likely send me to the loony
bin. (Eating my software raid5 with it)

My request is simple *, keep the old -updates kernels, or at least the
latest 5 of them, on the servers - just in-case something goes horribly
wrong and some people need an old kernel. Unlike other packages, the
kernel tends to push forward quite rapidly - breaking things from time
to time (binary modules - mostly).  While I know that Fedora != RHEL,
and doesn't maintain a stable kernel-ABI, I doubt that keeping older
versions of the kernel (just in-case someone needs them) will generate
too much noise/problems/over-head.

As for me, I'm back to the original -core kernel (2798?) waiting for a
vmware fix... :(

- Gilboa
* Or so it seems to me.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]